Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

lachoy (1663)

lachoy
  chris.winters@gmail.com
http://www.cwinters.com/

I am actually Chris Winters; I am actually living in Pittsburgh, Pennsylvania, USA; I am actually married and have three cats. (Guess what one of them is named?) I am the "OpenInteract" guy, which could be good or bad.

Journal of lachoy (1663)

Tuesday March 01, 2005
01:26 PM

Software I'm scared to upgrade

[ #23445 ]

(I should qualify that with: "...on the machine that's hosted four hours away in Silver Spring, Maryland.")

The classic fright from upgrading software comes from brittle or misunderstood configurations. "Well, it works now. Maybe it's by coincidence, but it works!" Of course, the problem with that is when it breaks you're totally lost. But we can't all be sysadmins, right?

Onto my incomplete list. You'll note that it's not always the software's fault...

  • sendmail: Yes, I still use sendmail. It's setup to deliver to cyrus and it works. Like I mentioned earlier, I hate modifying anything dealing with email. I also always forget what changes are important in the .mc file and I have a vague bad memory of .mc files not working across versions.
  • cyrus-imapd: ditto; the fact that I wrote a blog entry when things went well speaks volumes.
  • kernel: if you're remote-hosted you should be scared to upgrade this; a healthy fear of some changes will save you a lot of time and pain.
  • openssh/openssl: because I always forget to restart sshd and wind up locking myself out because it tries to load an earlier version of openssl. And the "could you powercycle my machine? is always an embarrassing email to send.
  • perl: only if it's an upgrade from 5.x to 5.x+2. And it's not because Perl will break but because I'll have to reinstall a whole bunch of modules. (Actually, using autobundle from CPAN.pm makes this pretty easy too. This is probably an unfounded fear.)
  • PHP: I only use PHP for webmail but I still have the shakes from when we implemented sourceforge internally. Upgrading PHP was like opening a window when you're building a house of cards. In a hurricane. (Probably unfounded in my case.)
  • postgres: just because I'm afraid data won't transfer properly. I do have backups but I'd hate to ever have to use them. (Totally unfounded, dump files work great.)

Posted from cwinters.com; read original

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.